aboutsummaryrefslogtreecommitdiffstats
path: root/main/xf86-video-nv/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/xf86-video-nv/APKBUILD
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/xf86-video-nv/APKBUILD')
-rw-r--r--main/xf86-video-nv/APKBUILD27
1 files changed, 27 insertions, 0 deletions
diff --git a/main/xf86-video-nv/APKBUILD b/main/xf86-video-nv/APKBUILD
new file mode 100644
index 0000000000..7dfa8e14ea
--- /dev/null
+++ b/main/xf86-video-nv/APKBUILD
@@ -0,0 +1,27 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-nv
+pkgver=2.1.15
+pkgrel=1
+pkgdesc="Nvidia video driver"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends=
+makedepends="pkgconfig xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto"
+
+source="http://xorg.freedesktop.org/releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ export LDFLAGS="$LDFLAGS -Wl,-z,lazy"
+ ./configure --prefix=/usr || return 1
+ make
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="1b22188bd9012a148206940708b52ea6 xf86-video-nv-2.1.15.tar.bz2"